Bug 1267934 - plymouth --rebuild-initrd is not sufficient to make the new theme active
plymouth --rebuild-initrd is not sufficient to make the new theme active
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-01 08:16 EDT by Kamil Páral
Modified: 2016-07-20 05:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-19 14:04:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2015-10-01 08:16:52 EDT
Description of problem:
I see the 'charge' theme by default. So I do this:

$ sudo plymouth-set-default-theme 
$ sudo plymouth-set-default-theme --rebuild-initrd text
Creating: target|kernel|dracut args|basicmodules 
$ sudo plymouth-set-default-theme 

However, after reboot, I still see 'charge' theme. According to the plymouth man page, it should be working, but it isn't:

       To configure plymouth, that is to choose and install the preferred boot
       theme, the user has to invoke  plymouth-set-default-theme.  It  changes
       the  configuration  to  the  new  theme and also performs the necessary
       regeneration of the initial ramdisk (initrd) since plymouth  is  loaded
       from  the boot loader from the initrd prior to the mounting of the root
       filesystem. The options available to this script are explained  in  the
       OPTIONS paragraph.


       -R, --rebuild-initrd
              Rebuild initrd (necessary after changing theme).

What I need to do is this:
$ sudo dracut -f

Now I finally see my new theme ('text') on reboot.

Please fix --rebuild-initrd to do sufficient changes for the new theme to become active, or at least print some advice for people to run 'dracut -f' afterwards. Thank you.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. follow the description
Comment 1 Fedora End Of Life 2016-07-19 14:04:49 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 Kamil Páral 2016-07-20 05:33:44 EDT
This seems fixed in F24.

Note You need to log in before you can comment on or make changes to this bug.